# convention

abstract fun convention(@Nullable value: @Nullable Map<out K, out V>): MapProperty<K, V>

Specifies the value to use as the convention for this property. The convention is used when no value has been set for this property.

#### Return

this

#### Parameters

value

The value, or `null` when the convention is that the property has no value.

abstract fun convention(valueProvider: Provider<out Map<out K, out V>>): MapProperty<K, V>

Specifies the provider of the value to use as the convention for this property. The convention is used when no value has been set for this property.

#### Return

this

#### Parameters

valueProvider

The provider of the value.